# -*- encoding: utf-8 -*-
# stub: git_flower 0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "git_flower".freeze
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alex Wilkinson".freeze]
  s.bindir = "exe".freeze
  s.date = "2017-07-16"
  s.description = "This library starts features and hotfixes using the git-flow branching model and creates corresponding features and bugs on PivotalTracker using the Pivotal API.".freeze
  s.email = ["alex.wilkinson@me.com".freeze]
  s.executables = ["git-flower".freeze]
  s.files = ["exe/git-flower".freeze]
  s.homepage = "https://gitlab.com/alexwilkinson/git-flower".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A CLI for starting git-flow features and hotfixes on PivotalTracker.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.15"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.14"])
    s.add_development_dependency(%q<fakefs>.freeze, ["~> 0.11"])
    s.add_runtime_dependency(%q<git>.freeze, ["~> 1.3.0"])
    s.add_runtime_dependency(%q<thor>.freeze, ["~> 0.19.4"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 5.1.2"])
    s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.9.0"])
    s.add_runtime_dependency(%q<tracker_api>.freeze, ["= 0.2.9"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.15"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.14"])
    s.add_dependency(%q<fakefs>.freeze, ["~> 0.11"])
    s.add_dependency(%q<git>.freeze, ["~> 1.3.0"])
    s.add_dependency(%q<thor>.freeze, ["~> 0.19.4"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 5.1.2"])
    s.add_dependency(%q<faraday>.freeze, ["~> 0.9.0"])
    s.add_dependency(%q<tracker_api>.freeze, ["= 0.2.9"])
  end
end
